RewriteEngine on

#Seo url oluşturma
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME}\.php -f
RewriteRule ^(.*)$ $1.php

RewriteRule ^company/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  company.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^company/company-type/([0-9a-zA-Z-_]+)  company.php?company_type=$1 [L,QSA]
RewriteRule ^company/personel/([0-9a-zA-Z-_]+)  company.php?personel_id=$1 [L,QSA]
RewriteRule ^company/([0-9a-zA-Z-_]+)  company.php?id=$1 [L,QSA]

RewriteRule ^personel/email/([0-9a-zA-Z-_]+)  personel.php?email=$1 [L,QSA]
RewriteRule ^personel/([0-9a-zA-Z-_]+)  personel.php?id=$1 [L,QSA]

RewriteRule ^product/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  product.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^product/personel/([0-9a-zA-Z-_]+)  product.php?personel_id=$1 [L,QSA]
RewriteRule ^product/product-category/([0-9a-zA-Z-_]+)  product.php?product_category=$1 [L,QSA]
RewriteRule ^product/([0-9a-zA-Z-_]+)  product.php?id=$1 [L,QSA]

RewriteRule ^product-analysis/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  product-analysis.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^product-analysis/personel/([0-9a-zA-Z-_]+)  product-analysis.php?personel_id=$1 [L,QSA]
RewriteRule ^product-analysis/product/([0-9a-zA-Z-_]+)  product-analysis.php?product_id=$1 [L,QSA]
RewriteRule ^product-analysis/([0-9a-zA-Z-_]+)  product-analysis.php?id=$1 [L,QSA]

RewriteRule ^product-sampling/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  product-sampling.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^product-sampling/personel/([0-9a-zA-Z-_]+)  product-sampling.php?personel_id=$1 [L,QSA]
RewriteRule ^product-sampling/product/([0-9a-zA-Z-_]+)  product-sampling.php?product_id=$1 [L,QSA]
RewriteRule ^product-sampling/([0-9a-zA-Z-_]+)  product-sampling.php?id=$1 [L,QSA]

RewriteRule ^report/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  report.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^report/personel/([0-9a-zA-Z-_]+)  report.php?personel_id=$1 [L,QSA]
RewriteRule ^report/customer/([0-9a-zA-Z-_]+)  report.php?customer_id=$1 [L,QSA]
RewriteRule ^report/exporter/([0-9a-zA-Z-_]+)  report.php?exporter_id=$1 [L,QSA]
RewriteRule ^report/product/([0-9a-zA-Z-_]+)  report.php?product_id=$1 [L,QSA]
RewriteRule ^report/([0-9a-zA-Z-_]+)  report.php?id=$1 [L,QSA]

RewriteRule ^samplingsheet/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  samplingsheet.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^samplingsheet/personel/([0-9a-zA-Z-_]+)  samplingsheet.php?personel_id=$1 [L,QSA]
RewriteRule ^samplingsheet/report/([0-9a-zA-Z-_]+)  samplingsheet.php?report_id=$1 [L,QSA]
RewriteRule ^samplingsheet/([0-9a-zA-Z-_]+)  samplingsheet.php?id=$1 [L,QSA]

RewriteRule ^sampling-data/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  sampling-data.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^sampling-data/personel/([0-9a-zA-Z-_]+)  sampling-data.php?personel_id=$1 [L,QSA]
RewriteRule ^sampling-data/([0-9a-zA-Z-_]+)  sampling-data.php?id=$1 [L,QSA]

RewriteRule ^analysis/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  analysis.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^analysis/personel/([0-9a-zA-Z-_]+)  analysis.php?personel_id=$1 [L,QSA]
RewriteRule ^analysis/report/([0-9a-zA-Z-_]+)  analysis.php?report_id=$1 [L,QSA]
RewriteRule ^analysis/([0-9a-zA-Z-_]+)  analysis.php?id=$1 [L,QSA]

RewriteRule ^analysis-data/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  analysis-data.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^analysis-data/personel/([0-9a-zA-Z-_]+)  analysis-data.php?personel_id=$1 [L,QSA]
RewriteRule ^analysis-data/([0-9a-zA-Z-_]+)  analysis-data.php?id=$1 [L,QSA]

RewriteRule ^acente/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  acente.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^acente/customer/([0-9a-zA-Z-_]+)  acente.php?customer_id=$1 [L,QSA]
RewriteRule ^acente/exporter/([0-9a-zA-Z-_]+)  acente.php?exporter_id=$1 [L,QSA]
RewriteRule ^acente/product/([0-9a-zA-Z-_]+)  acente.php?product_id=$1 [L,QSA]
RewriteRule ^acente/personel/([0-9a-zA-Z-_]+)  acente.php?personel_id=$1 [L,QSA]
RewriteRule ^acente/([0-9a-zA-Z-_]+)  acente.php?id=$1 [L,QSA]

RewriteRule ^acente-a-content/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  acente-a-content.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^acente-a-content/personel/([0-9a-zA-Z-_]+)  acente-a-content.php?personel_id=$1 [L,QSA]
RewriteRule ^acente-a-content/acente/([0-9a-zA-Z-_]+)  acente-a-content.php?acente_id=$1 [L,QSA]
RewriteRule ^acente-a-content/([0-9a-zA-Z-_]+)  acente-a-content.php?id=$1 [L,QSA]

RewriteRule ^acente-s-content/sync/([0-9a-zA-Z-_]+)/personel/([0-9a-zA-Z-_]+)  acente-s-content.php?sync=$1&sync_personel=$2 [L,QSA]
RewriteRule ^acente-s-content/personel/([0-9a-zA-Z-_]+)  acente-s-content.php?personel_id=$1 [L,QSA]
RewriteRule ^acente-s-content/acente/([0-9a-zA-Z-_]+)  acente-s-content.php?acente_id=$1 [L,QSA]
RewriteRule ^acente-s-content/([0-9a-zA-Z-_]+)  acente-s-content.php?id=$1 [L,QSA]


RewriteRule ^output/pdf/([0-9a-zA-Z-_]+)  report-export.php?pdf_id=$1 [L,QSA]
RewriteRule ^output/excel/([0-9a-zA-Z-_]+)  report-export.php?excel_id=$1 [L,QSA]

